summaryrefslogtreecommitdiff
path: root/ci/build_tomtom_plugin.sh
diff options
context:
space:
mode:
authorStefan Wildemann <metalstrolch@users.noreply.github.com>2017-04-05 20:06:28 +0200
committerPierre GRANDIN <pgrandin@users.noreply.github.com>2017-04-05 11:06:28 -0700
commitf466ed624c282e30869fa1cc04f191812e0b4888 (patch)
tree0537f6a34b41b767507da5ef3161bcaba8064ada /ci/build_tomtom_plugin.sh
parent480200b03e4f887ef82a62a950dad19dd609ec9c (diff)
downloadnavit-f466ed624c282e30869fa1cc04f191812e0b4888.tar.gz
Qt5 Graphics: Add QML support (#213)R7378
* Qt5: Add navit callbacks to private Add navit callbacks to private data, to prepare qt5 graphics transition to QML 2.0 instead of QWidget. * Qt5: use only one widget Refactor qt5 code to use only one widget. Overlays won't have their own widgets anymore. This is in peparation for converting qt4 graphics to QML 2.0 * initial addition of QML to qt5 graphics. * Add first (bogus) qml file. This commit adds the qml file for the qt5 qml graphics if used with internal gui. And it alters the cmake scripts to istall it. * Add inital Quick component Now this has it's own c++ Quick component included. Additionally the qml file gets embedded into the plugin. * Small cleanup, qml package name correction. * Convert to QGuiApplication to remove QWidget dep. * First time working QQuick Navit * Lower qml import versions, as sailfish uses old ones. * Add header to QtQuick item. * Add new attr qt5_widget to qt5 * Add qt5 variants to test * Correct mistake in running test for qt5 * Fix: Tomtom libpng version bump to 1.6.29 The libpng version 1.6.28 was removed from ftp://ftp.simplesystems.org/pub/libpng/png/src/libpng16/ * Fix: Make window as big as possible if w and h are not given * Fix navit config for run_linux_test, complete test separation. * Fix xdotools use separatelog dir * Fix: correct mess generated with last commit * Convert from CMAKE_AUTORRC to old macros We want to support old cmake, that doesn't have AUTORRC * Fix: Add qml modules to build in order to allow QML graphics to run * Fix: Use trusty packages instead.
Diffstat (limited to 'ci/build_tomtom_plugin.sh')
-rw-r--r--ci/build_tomtom_plugin.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/ci/build_tomtom_plugin.sh b/ci/build_tomtom_plugin.sh
index 548109877..6acf3b376 100644
--- a/ci/build_tomtom_plugin.sh
+++ b/ci/build_tomtom_plugin.sh
@@ -39,9 +39,9 @@ if ! [ -e "~/tomtom_assets/toolchain_redhat_gcc-3.3.4_glibc-2.3.2-20060131a.tar.
wget -nv -c https://github.com/navit-gps/dependencies/raw/master/tomtom/toolchain_redhat_gcc-3.3.4_glibc-2.3.2-20060131a.tar.gz -P ~/tomtom_assets
fi
-if ! test -f "~/tomtom_assets/libpng-1.6.28.tar.gz"
+if ! test -f "~/tomtom_assets/libpng-1.6.29.tar.gz"
then
- wget -nv -c ftp://ftp.simplesystems.org/pub/libpng/png/src/libpng16/libpng-1.6.28.tar.gz -P ~/tomtom_assets
+ wget -nv -c ftp://ftp.simplesystems.org/pub/libpng/png/src/libpng16/libpng-1.6.29.tar.gz -P ~/tomtom_assets
fi
# toolchain
@@ -195,8 +195,8 @@ make install
# libpng
cd /tmp/
-tar xzf ~/tomtom_assets/libpng-1.6.28.tar.gz
-cd libpng-1.6.28/
+tar xzf ~/tomtom_assets/libpng-1.6.29.tar.gz
+cd libpng-1.6.29/
./configure --prefix=$PREFIX --host=$ARCH
make -j$JOBS
make install